Subject: 28.1; cl-concatenate void-function error

From: Leo Liu <[email-masked]>
Date: Wed, 13 Apr 2022 12:02:56 +0800

Sadly the defun of cl-concatenate is changed to defalias and the bug is
now showing up again in 28.1. Calling cl-concatenate no longer triggers
loading cl-extra.el and its dependency seq.el aka
https://debbugs.gnu.org/45610

The simplest fix is to revert defalias back to defun and put a comment
there.

A further fix can be considered for autoload to handle defalias as
defun, not defvar.

Autoload cookies on defalias forms are tricky. For example (defalias 'a
'b), one needs to make sure B is also available at runtime. We can catch
such a bug if one compiles the generated loaddefs file (I think). But
since they never do it is easy to get wrong.